<div class="row mt-3">
  <div class="col-md-4 mb-3">
    <div class="card">
      <div class="card-heading">
        <h5>Register / Stimmgruppen</h5>
      </div>
      <div class="card-body">
        <form novalidate #f="ngForm">
          <div class="row mb-2">
            <div class="col-7 pr-1">
              <label class="sr-only" for="addRegister">Register</label>
              <input class="form-control"
                     type="text" name="addRegister"
                     id="addRegister" placeholder="z.B. Tenor"
                     [(ngModel)]="newRegister.name"
                     #addRegister="ngModel"
                     required
              >
              <app-show-form-errors [control]="addRegister"></app-show-form-errors>
            </div>
            <div class="col-5 pl-1">
              <div class="input-group">
                <input class="form-control"
                       type="text" name="shortcutInput"
                       id="shortcutInput" placeholder="T"
                       [(ngModel)]="newRegister.shortcut"
                       #shortcutInput="ngModel"
                       required
                >
                <div class="input-group-append">
                  <button class="btn btn-success" type="button" (click)="createRegister()">
                    <i class="fas fa-plus"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </form>
        <table class="table" *ngIf="registers">
          <tbody>
          <tr *ngFor="let register of (registers | arraysort: 'prio')" class="d-flex">
            <td class="col-3 pr-1">
              <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
                <button type="button"
                        class="btn btn-outline-primary"
                        (click)="incrementRegister(register)"
                        [disabled]="register.prio == 0"
                >
                  <i class="fas fa-chevron-up"></i>
                </button>
                <button type="button"
                        class="btn btn-outline-primary"
                        (click)="decrementRegister(register)"
                        [disabled]="register.prio == registers.length-1"
                >
                  <i class="fas fa-chevron-down"></i>
                </button>
              </div>
            </td>
            <td class="col-2 pl-1 pr-1">
              <input type="text" class="form-control form-control-sm" [(ngModel)]="register.shortcut" (blur)="updateRegister(register)">
            </td>
            <td class="col-7 pl-1">
              <div class="input-group input-group-sm">
                <input type="text" class="form-control" [(ngModel)]="register.name" (blur)="updateRegister(register)">
                <div class="input-group-append">
                  <button class="btn btn-outline-danger" (click)="removeRegister(register)"><i class="fas fa-trash"></i> </button>
                </div>
              </div>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <div class="col-md-8">
    <div class="card" id="registerUsers">
      <div class="card-heading">
        <h5>Benutzer</h5>
      </div>
      <div class="card-body">
          <table class="table table-sm table-striped table-responsive-md">
            <thead>
              <tr>
                <th></th>
                <th *ngFor="let register of registers">
                  <span class="d-none d-sm-inline-block pl-1">{{register.name}}</span>
                  <span class="d-sm-none pl-1">{{register.shortcut}}</span>
                  <span class="text-muted pl-1">({{register.userCount}})</span>
                </th>
              </tr>
            </thead>
            <tbody>
            <tr *ngFor="let registerUser of registerUsers">
              <td>
                <span class="d-none d-sm-inline-block pl-1">{{registerUser.firstName}}</span>
                <span class="d-sm-none pl-1">{{registerUser.firstName.slice(0, 1)}}.</span>
                {{registerUser.lastName}}
              </td>
              <td *ngFor="let register of registers">
                <input type="checkbox" [checked]="isUserInRegister(registerUser.registers, register)" (change)="changeUserRegister(registerUser, register)">
              </td>
            </tr>
            </tbody>
          </table>
      </div>
    </div>
  </div>
</div>


